<template>
  <div>
    <h1 ref="myref">Hook tutorial</h1>
    <h2>Hello {{ name }}</h2>
  </div>
</template>

<script>
export default {
  data() {
    return {
      name: "Huu Hoang",
    };
  },
  created() {
    //call mostly inital data from it ...
    console.log(this.name);
  },
  mounted() {
    console.log(this.$refs.myref);
  },
};
</script>